LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTableChart Interface Referencepublished

provides access to the settings of a chart object in a table or spreadsheet. More...

`import"XTableChart.idl";`

Inheritance diagram for XTableChart:

## Public Member Functions
boolean | getHasColumnHeaders ()
| returns, whether the cells of the topmost row of the source data are interpreted as column headers. More...
void | setHasColumnHeaders ([in] boolean bHasColumnHeaders)
| specifies whether the cells of the topmost row of the source data are interpreted as column headers. More...
boolean | getHasRowHeaders ()
| returns, whether the cells of the leftmost column of the source data are interpreted as row headers. More...
void | setHasRowHeaders ([in] boolean bHasRowHeaders)
| specifies whether the cells of the leftmost column of the source data are interpreted as row headers. More...
sequence< com::sun::star::table::CellRangeAddress > | getRanges ()
| returns the cell ranges that contain the data for the chart. More...
void | setRanges ([in] sequence< com::sun::star::table::CellRangeAddress > aRanges)
| sets the cell ranges that contain the data for the chart. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the settings of a chart object in a table or spreadsheet.

See also
  com::sun::star::table::TableChart

## Member Function Documentation

## ◆ getHasColumnHeaders()

boolean getHasColumnHeaders | ( |  | ) |

returns, whether the cells of the topmost row of the source data are interpreted as column headers.

## ◆ getHasRowHeaders()

boolean getHasRowHeaders | ( |  | ) |

returns, whether the cells of the leftmost column of the source data are interpreted as row headers.

## ◆ getRanges()

sequence< com::sun::star::table::CellRangeAddress > getRanges | ( |  | ) |

returns the cell ranges that contain the data for the chart.

## ◆ setHasColumnHeaders()

void setHasColumnHeaders | ( | [in] boolean | bHasColumnHeaders | ) |

specifies whether the cells of the topmost row of the source data are interpreted as column headers.

## ◆ setHasRowHeaders()

void setHasRowHeaders | ( | [in] boolean | bHasRowHeaders | ) |

specifies whether the cells of the leftmost column of the source data are interpreted as row headers.

## ◆ setRanges()

void setRanges | ( | [in] sequence< com::sun::star::table::CellRangeAddress > | aRanges | ) |

sets the cell ranges that contain the data for the chart.

The documentation for this interface was generated from the following file:

- com/sun/star/table/XTableChart.idl